document.addEventListener('DOMContentLoaded', () => {
  const loginForm = document.getElementById('loginForm');
  const loginSection = document.getElementById('loginSection');
  const configSection = document.getElementById('configSection');
  const userInfo = document.getElementById('userInfo');
  const usernameSpan = document.getElementById('username');
  const logoutBtn = document.getElementById('logoutBtn');
  const downloadBtn = document.getElementById('downloadBtn');

  // Check if user is logged in
  const checkAuth = () => {
    const isLoggedIn = localStorage.getItem('isLoggedIn');
    if (isLoggedIn) {
      showConfigSection();
    }
  };

  // Show config section after successful login
  const showConfigSection = () => {
    loginSection.classList.add('hidden');
    configSection.classList.remove('hidden');
    userInfo.classList.remove('hidden');
    const username = localStorage.getItem('username');
    usernameSpan.textContent = username;
  };

  // Handle login form submission
  loginForm.addEventListener('submit', (e) => {
    e.preventDefault();
    const username = document.getElementById('username').value;
    const password = document.getElementById('password').value;

    // Simple validation (replace with actual authentication)
    if (username && password) {
      localStorage.setItem('isLoggedIn', 'true');
      localStorage.setItem('username', username);
      showConfigSection();
    }
  });

  // Handle logout
  logoutBtn.addEventListener('click', () => {
    localStorage.removeItem('isLoggedIn');
    localStorage.removeItem('username');
    loginSection.classList.remove('hidden');
    configSection.classList.add('hidden');
    userInfo.classList.add('hidden');
    loginForm.reset();
  });

  // Handle config download
  downloadBtn.addEventListener('click', () => {
    // Replace with actual config generation logic
    const config = `[Interface]
Address = 10.0.0.2/24
PrivateKey = yourPrivateKeyHere
DNS = 1.1.1.1

[Peer]
PublicKey = serverPublicKeyHere
Endpoint = vpn.example.com:51820
AllowedIPs = 0.0.0.0/0
PersistentKeepalive = 25`;

    const blob = new Blob([config], { type: 'text/plain' });
    const url = URL.createObjectURL(blob);
    const a = document.createElement('a');
    a.href = url;
    a.download = 'wireguard.conf';
    document.body.appendChild(a);
    a.click();
    document.body.removeChild(a);
    URL.revokeObjectURL(url);
  });

  // Initialize
  checkAuth();
});
